> ## Documentation Index
> Fetch the complete documentation index at: https://developer.trychart.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Client Link

> Create a custom client link.



## OpenAPI

````yaml POST /client-links
openapi: 3.0.1
info:
  title: Chart API
  description: >-
    Chart Tax API offers real-time collection of verified federal and state tax
    records.
  version: 1.0.0
servers:
  - url: https://api.trychart.com
security:
  - bearerAuth: []
paths:
  /client-links:
    post:
      description: Create a custom client link.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientLinkInput'
      responses:
        '201':
          description: IRS 8821 Form Submission Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                    example: https://dashboard.trychart.com/c/1234567890
                  id:
                    type: string
                    example: cm3tj5p2g000e674soxr2brbl
                required:
                  - url
                  - id
      security:
        - clientAuth: []
components:
  schemas:
    ClientLinkInput:
      type: object
      properties:
        metadata:
          type: object
          description: >-
            Custom metadata identifying external fields about the taxpayer. This
            is useful for keeping track of external information about the
            taxpayer such as user IDs from other systems.
        settings:
          type: object
          properties:
            flowType:
              type: string
              enum:
                - full
                - personal
                - business
                - irs-8821
                - irs-online-account
                - irs-8821-personal
                - irs-8821-business
                - irs-8821-no-kyc
                - irs-8821-no-kyc-personal
                - irs-8821-no-kyc-business
                - irs-online-account-business
                - full-irs-online-account
                - full-irs-online-account-combined
                - full-irs-online-account-business
                - irs-online-verify-first
                - irs-online-verify-first-business
                - tax-prep
                - irs-8821-and-online-account
                - irs-8821-and-online-account-personal
                - irs-8821-and-online-account-business
            transcripts:
              type: object
              properties:
                ACTR:
                  type: array
                  items:
                    type: string
                    pattern: ^\d{4}$
                    minLength: 4
                RECA:
                  type: array
                  items:
                    type: string
                    pattern: ^\d{4}$
                    minLength: 4
                WAID:
                  type: array
                  items:
                    type: string
                    pattern: ^\d{4}$
                    minLength: 4
                VENF:
                  type: array
                  items:
                    type: string
                    pattern: ^\d{4}$
                    minLength: 4
                W2:
                  type: array
                  items:
                    type: string
                    pattern: ^\d{4}$
                    minLength: 4
                1095-A:
                  type: array
                  items:
                    type: string
                    pattern: ^\d{4}$
                    minLength: 4
                NOTICE:
                  type: array
                  items:
                    type: string
                    pattern: ^\d{4}$
                    minLength: 4
            prefillData:
              type: object
              properties:
                personalInfo:
                  $ref: '#/components/schemas/PersonalInfoInput'
                businessInfo:
                  $ref: '#/components/schemas/BusinessInfoInput'
                address:
                  $ref: '#/components/schemas/AddressInput'
    PersonalInfoInput:
      type: object
      properties:
        firstName:
          type: string
          minLength: 1
          maxLength: 50
          pattern: ^[a-zA-Z][a-zA-Z\s-]*$
          example: John
          description: >-
            Alpha string value with a limit of 50 characters. Only hyphens (-)
            and spaces are allowed as special characters.
        lastName:
          type: string
          minLength: 1
          maxLength: 50
          pattern: ^[a-zA-Z][a-zA-Z\s-]*$
          example: Doe
          description: >-
            Alpha string value with a limit of 50 characters. Only hyphens (-)
            and spaces are allowed as special characters.
        ssn:
          type: string
          minLength: 9
          maxLength: 9
          example: '123456789'
          description: >-
            Full SSN of the taxpayer. Required for non-business form 8821
            submissions.
      required:
        - firstName
        - lastName
    BusinessInfoInput:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          example: Test, Inc.
        taxId:
          type: string
          description: EIN or SSN of the taxpayer
          minLength: 9
          maxLength: 9
          example: '123456789'
        type:
          type: string
          enum:
            - S-Corporation
            - C-Corporation
            - Sole Proprietorship
            - Partnerships
        phone:
          type: string
          pattern: ^[0-9]{10}$
          example: '1112223344'
        title:
          type: string
          enum:
            - Managing Member
            - Partner
            - Limited Partner
            - Director
            - Chief Accounting Officer
            - Chief Executive Officer
            - Chief Operating Officer
            - Chief Financial Officer
            - President
            - Vice President
            - Secretary
            - Treasurer
            - Assistant Treasurer
            - Controller
            - Owner
            - Sole Proprietor
            - Executor
            - Beneficiary
            - Trustee
            - Administrator
          example: Chief Executive Officer
      required:
        - name
        - taxId
        - type
        - phone
        - title
    AddressInput:
      type: object
      properties:
        street:
          type: string
          minLength: 1
          example: 123 Main St
        other:
          type: string
          example: Apt 1
        city:
          type: string
          minLength: 1
          example: San Francisco
        state:
          type: string
          minLength: 1
          example: CA
        zip:
          type: string
          minLength: 1
          example: '94101'
      required:
        - street
        - city
        - state
        - zip
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your access_token returned from the /auth/token endpoint.
    clientAuth:
      type: http
      scheme: bearer
      description: >-
        Please use base64 encoded client_id:client_secret. You can use this
        command to generate the base64 encoded string: echo -n
        'client_id:client_secret' | base64

````